See the top rated post in this thread. Click here

Results 1 to 3 of 3

Thread: Explode a block in multiple layouts

  1. #1
    Login to Give a bone
    1

    Default Explode a block in multiple layouts

    Hi,

    I have made a template and realized that the title block with attributes has been inserted as a block in a block and can not use the _gatte command to alter the atribute text unless I explode the title block one time.
    Is there a way or lisp routine that could select the title block in all layouts and explode it one time. Block Name: "A$C0CCB7F78".
    It there were only a few layouts i would do it by hand but there are 210 layouts and all view ports have been set to the correct scale and viewing position onto the model space so i really do not want to do this all aver again.

    Frank

  2. #2
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default Re: Explode a block in multiple layouts

    what about block editing the block, and exploding it within the block editor once? save your changes and tell it to update the block in the drawing.
    Last edited by ccowgill; 2012-09-24 at 04:45 PM. Reason: typo

  3. #3
    Active Member
    Join Date
    2016-02
    Location
    Singapore
    Posts
    70
    Login to Give a bone
    0

    Default Re: Explode a block in multiple layouts

    Quote Originally Posted by frankflipsen1191073 View Post
    Hi,

    I have made a template and realized that the title block with attributes has been inserted as a block in a block and can not use the _gatte command to alter the atribute text unless I explode the title block one time.
    Is there a way or lisp routine that could select the title block in all layouts and explode it one time. Block Name: "A$C0CCB7F78".
    It there were only a few layouts i would do it by hand but there are 210 layouts and all view ports have been set to the correct scale and viewing position onto the model space so i really do not want to do this all aver again.

    Frank

    try this :

    Code:
    (defun c:test ()
    (setq SS (ssget "x" (list (cons 0 "INSERT") (cons 2 "A$C0CCB7F78"))))
    (setq counter 0)
    (while (< counter (sslength SS))
    (vla-explode (vlax-ename->vla-object (ssname SS counter)))
    (setq counter (1+ counter))
    )
    (princ)
    )
    (princ)
    (vl-load-com)

Similar Threads

  1. Remove / Delete Block from multiple Layouts at the same time
    By autocad.13572 in forum AutoCAD General
    Replies: 11
    Last Post: 2017-08-09, 01:58 PM
  2. Multiple blocks explode
    By Wish List System in forum AutoCAD Wish List
    Replies: 7
    Last Post: 2013-11-12, 07:14 PM
  3. Insert a block on multiple layouts
    By Wish List System in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2012-11-14, 01:03 AM
  4. Same block multiple layouts
    By chris.petty330967 in forum API Wish List
    Replies: 0
    Last Post: 2011-11-07, 06:56 PM
  5. Multiple layouts vs Multiple drawing files
    By mmilko.83044 in forum CAD Standards
    Replies: 26
    Last Post: 2009-06-12, 05:15 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •